Update Organization Project Hidden Snippet Urls Settings
https://app.fossa.com/api/organizations/{id}/settings/projects/hidden-snippet-urlsUpdate the default excluded snippet repository URLs for an organization. Entries are trimmed, blank entries dropped, each must be a valid URL, and duplicates are removed.
Path parameters
idintegerrequiredRequest body · application/json
projectDefaultHiddenSnippetUrlsstring <uri>[]requiredResponses
204No content400Bad RequestuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
401UnauthorizeduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
403ForbiddenuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
404NotFounduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
422Unprocessable EntityuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
PUT https://app.fossa.com/api/organizations/1/settings/projects/hidden-snippet-urlscurl --request PUT \ --url 'https://app.fossa.com/api/organizations/1/settings/projects/hidden-snippet-urls' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN' \ --header 'content-type: application/json' \ --data '{ "projectDefaultHiddenSnippetUrls": [ "https://github.com/acme/repo" ]}'Real request. Mutating methods can change data.
Path params
idintegerrequired